# $Revision: 1.6.2.2 $, $Date: 2003/03/13 00:58:55 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Test
%define	pnam	Warn
Summary:	%{pdir}::%{pnam} perl module
Summary(cs):	Modul %{pdir}::%{pnam} pro Perl
Summary(da):	Perlmodul %{pdir}::%{pnam}
Summary(de):	%{pdir}::%{pnam} Perl Modul
Summary(es):	Mdulo de Perl %{pdir}::%{pnam}
Summary(fr):	Module Perl %{pdir}::%{pnam}
Summary(it):	Modulo di Perl %{pdir}::%{pnam}
Summary(ja):	%{pdir}::%{pnam} Perl ⥸塼
Summary(ko):	%{pdir}::%{pnam}  
Summary(no):	Perlmodul %{pdir}::%{pnam}
Summary(pl):	Modu perla %{pdir}::%{pnam}
Summary(pt_BR):	Mdulo Perl %{pdir}::%{pnam}
Summary(pt):	Mdulo de Perl %{pdir}::%{pnam}
Summary(ru):	  Perl %{pdir}::%{pnam}
Summary(sv):	%{pdir}::%{pnam} Perlmodul
Summary(uk):	  Perl %{pdir}::%{pnam}
Summary(zh_CN):	%{pdir}::%{pnam} Perl ģ
Name:		perl-%{pdir}-%{pnam}
Version:	0.07
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a few convenience methods for testing warning
based code.

%description -l pl
Ten modu udostpnia kilka wygodnych metod, przydatnych przy testowaniu
kodu, opartego na ostrzeeniach.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
#%%{__make} test

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change*
%{perl_sitelib}/%{pdir}/%{pnam}.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All below listed persons can be reached on <cvs_login>@pld.org.pl

$Log: perl-Test-Warn.spec,v $
Revision 1.6.2.2  2003/03/13 00:58:55  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.6.2.1  2003/03/10 22:14:20  ankry
- autoupdated to 0.07

Revision 1.6  2003/02/28 10:08:33  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.5  2003/02/24 20:31:58  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:38:40  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/12/03 21:35:01  ankry
- cleaning

Revision 1.2  2002/09/03 08:31:13  marcus
- updated to 0.06

Revision 1.1  2002/07/21 20:20:08  radek
- new, should be ok for STBR

